loci.formats.meta

## Class OriginalMetadataAnnotation

- java.lang.Object
- - ome.xml.model.AbstractOMEModelObject
  - - ome.xml.model.Annotation
    - - ome.xml.model.TextAnnotation
      - - ome.xml.model.XMLAnnotation
        - - loci.formats.meta.OriginalMetadataAnnotation

- All Implemented Interfaces:
    ome.xml.model.OMEModelObject

      public class OriginalMetadataAnnotation
      extends ome.xml.model.XMLAnnotation

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static javax.xml.parsers.DocumentBuilder` | `BUILDER`
    `private java.lang.String` | `key`
    `static java.lang.String` | `ORIGINAL_METADATA_NS`
    `private java.lang.String` | `value`

    - ### Fields inherited from class ome.xml.model.XMLAnnotation

      `NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OriginalMetadataAnnotation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getKey()`
    `java.lang.String` | `getValueForKey()` Return just the value (i.e.
    `protected org.w3c.dom.Element` | `makeOriginalMetadata(org.w3c.dom.Document document)` Create a DOM element for this annotation with the given document as the parent.
    `void` | `setKeyValue(java.lang.String key, java.lang.String value)` Set the key/value metadata pair for this annotation.

    - ### Methods inherited from class ome.xml.model.XMLAnnotation

      `asXMLElement, asXMLElement, getStructuredAnnotations, getValue, link, setStructuredAnnotations, setValue, update`

    - ### Methods inherited from class ome.xml.model.Annotation

      `copyLinkedAnnotationList, copyLinkedChannelList, copyLinkedDatasetList, copyLinkedDetectorList, copyLinkedDichroicList, copyLinkedExperimenterGroupList, copyLinkedExperimenterList, copyLinkedFilterList, copyLinkedFolderList, copyLinkedImageList, copyLinkedInstrumentList, copyLinkedLightPathList, copyLinkedLightSourceList, copyLinkedObjectiveList, copyLinkedPlaneList, copyLinkedPlateAcquisitionList, copyLinkedPlateList, copyLinkedProjectList, copyLinkedReagentList, copyLinkedROIList, copyLinkedScreenList, copyLinkedShapeList, copyLinkedWellList, getAnnotator, getDescription, getID, getLinkedAnnotation, getLinkedChannel, getLinkedDataset, getLinkedDetector, getLinkedDichroic, getLinkedExperimenter, getLinkedExperimenterGroup, getLinkedFilter, getLinkedFolder, getLinkedImage, getLinkedInstrument, getLinkedLightPath, getLinkedLightSource, getLinkedObjective, getLinkedPlane, getLinkedPlate, getLinkedPlateAcquisition, getLinkedProject, getLinkedReagent, getLinkedROI, getLinkedScreen, getLinkedShape, getLinkedWell, getNamespace, linkAnnotation, linkChannel, linkDataset, linkDetector, linkDichroic, linkExperimenter, linkExperimenterGroup, linkFilter, linkFolder, linkImage, linkInstrument, linkLightPath, linkLightSource, linkObjective, linkPlane, linkPlate, linkPlateAcquisition, linkProject, linkReagent, linkROI, linkScreen, linkShape, linkWell, setAnnotator, setDescription, setID, setLinkedAnnotation, setLinkedChannel, setLinkedDataset, setLinkedDetector, setLinkedDichroic, setLinkedExperimenter, setLinkedExperimenterGroup, setLinkedFilter, setLinkedFolder, setLinkedImage, setLinkedInstrument, setLinkedLightPath, setLinkedLightSource, setLinkedObjective, setLinkedPlane, setLinkedPlate, setLinkedPlateAcquisition, setLinkedProject, setLinkedReagent, setLinkedROI, setLinkedScreen, setLinkedShape, setLinkedWell, setNamespace, sizeOfLinkedAnnotationList, sizeOfLinkedChannelList, sizeOfLinkedDatasetList, sizeOfLinkedDetectorList, sizeOfLinkedDichroicList, sizeOfLinkedExperimenterGroupList, sizeOfLinkedExperimenterList, sizeOfLinkedFilterList, sizeOfLinkedFolderList, sizeOfLinkedImageList, sizeOfLinkedInstrumentList, sizeOfLinkedLightPathList, sizeOfLinkedLightSourceList, sizeOfLinkedObjectiveList, sizeOfLinkedPlaneList, sizeOfLinkedPlateAcquisitionList, sizeOfLinkedPlateList, sizeOfLinkedProjectList, sizeOfLinkedReagentList, sizeOfLinkedROIList, sizeOfLinkedScreenList, sizeOfLinkedShapeList, sizeOfLinkedWellList, unlinkAnnotation, unlinkChannel, unlinkDataset, unlinkDetector, unlinkDichroic, unlinkExperimenter, unlinkExperimenterGroup, unlinkFilter, unlinkFolder, unlinkImage, unlinkInstrument, unlinkLightPath, unlinkLightSource, unlinkObjective, unlinkPlane, unlinkPlate, unlinkPlateAcquisition, unlinkProject, unlinkReagent, unlinkROI, unlinkScreen, unlinkShape, unlinkWell`

    - ### Methods inherited from class ome.xml.model.AbstractOMEModelObject

      `getChildrenByTagName, stripNamespacePrefix`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ORIGINAL_METADATA_NS

          public static final java.lang.String ORIGINAL_METADATA_NS

    - #### BUILDER

          private static final javax.xml.parsers.DocumentBuilder BUILDER

    - #### key

          private java.lang.String key

    - #### value

          private java.lang.String value

  - ### Constructor Detail

    - #### OriginalMetadataAnnotation

          public OriginalMetadataAnnotation()

  - ### Method Detail

    - #### setKeyValue

          public void setKeyValue(java.lang.String key,
                                  java.lang.String value)

      Set the key/value metadata pair for this annotation.
      Parameters:
        `key` - the original metadata key
        `value` - the original metadata value

    - #### getKey

          public java.lang.String getKey()

      Returns:
        the original metadata key

    - #### getValueForKey

          public java.lang.String getValueForKey()

      Return just the value (i.e. v in k=v) as opposed to the XML value which contains the entire block (e.g. <originalmetadata>...)

    - #### makeOriginalMetadata

          protected org.w3c.dom.Element makeOriginalMetadata(org.w3c.dom.Document document)

      Create a DOM element for this annotation with the given document as the parent.
      Parameters:
        `document` - the parent document for this annotation
      Returns:
        the DOM element corresponding to this annotation

Copyright © 2026 Open Microscopy Environment